Installing PostgreSql 8.3 on Ubuntu 10.04 or later (Karmic)

By jbayer - Last updated: Tuesday, May 31, 2011 - Save & Share - 7 Comments

Ubuntu started shipping  Postgresql 8.4 with Karmic (10.04).  Postgresql 8.3 is not available in the Karmic or later repositories.

If you need 8.3 for an application, you can easily install it by using the following steps:

At the command line:

echo "deb http://us.archive.ubuntu.com/ubuntu/ karmic main universe multiverse" >>/etc/apt/sources.list
apt-get update
apt-get install postgresql-8.3
sed -i '/karmic/s/^/#/g' /etc/apt/sources.list

What this does is as follows:

  1. Add a line to the /etc/apt/sources.list pointing to the karmic (9.10) repository.  Important that it is the last line
  2. Update apt
  3. Install postgresql 8.3
  4. Finally, comment out that line which was added.

When this is done, Postgresql 8.3 is installed and running.  It is possible to have both 8.3 and 8.4 running at the same time, the paths for each configuration files and database files are unique to each.

Posted in Administration, Database, Linux Installations • • Top Of Page
3,783 views

7 Responses to “Installing PostgreSql 8.3 on Ubuntu 10.04 or later (Karmic)”

Comment from Ix
Time December 3, 2011 at 8:02 pm

It does not work no more.

Comment from jbayer
Time December 5, 2011 at 3:02 pm

Well, you need to give me a little more information.

What OS are you running (version as well as distribution), and how is it not working.

Comment from sgraham
Time January 6, 2012 at 2:32 pm

I’m seeing the same thing, that this isn’t working. It looks like all links to us.archive.ubuntu.com are 404ing.

Err http://us.archive.ubuntu.com karmic/main Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com karmic/universe Packages
404 Not Found [IP: 91.189.88.31 80]
Err http://us.archive.ubuntu.com karmic/multiverse Packages
404 Not Found [IP: 91.189.88.31 80]
Fetched 426kB in 3s (142kB/s)
W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/karmic/main/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.31 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/karmic/universe/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.31 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/karmic/multiverse/binary-amd64/Packages.gz 404 Not Found [IP: 91.189.88.31 80]

E: Some index files failed to download, they have been ignored, or old ones used instead

Comment from jbayer
Time January 7, 2012 at 11:04 pm

It looks like the karmic directories were deleted, since they are no longer supported.

I’m not using Ubuntu right now, so if someone could find an available repository, I’d appreciate it.

Comment from Anthony
Time March 24, 2013 at 4:42 pm

Anyone still having trouble with this might want to check here:

http://www.postgresql.org/message-id/20121206191128.GA13478@msgid.df7cb.de

Comment from jbayer
Time March 25, 2013 at 6:24 am

Thank you. I’m not using Ubuntu right now, so am somewhat out of the loop.

JBB

Comment from Fausto
Time June 18, 2013 at 10:47 am

Thank you very much! I upgraded Ubuntu Server from 8.04, first to 10.04 and then to 12.04. 8.3 version cluster was deleted and I had only access to database files in /var/lib/posgress directory. I changed reposity address to http://old-releases.ubuntu.com/ubuntu and it worked!

Write a comment

asd